Page MenuHomeFreeBSD

security/libressl backport OPENSSL_NO_EGD update from OpenBSD
ClosedPublic

Authored by brnrd on May 26 2015, 12:10 PM.

Details

Reviewers
vsevolod
koobs
Summary

security/libressl: Backport change for missing EGD feature

  • LibreSSL uses opensslfeatures.h to set defines for removed features
  • RAND_egd support was removed before first portable release
  • Change adds OPENSSL_NO_EGD define to make porting easier
  • Change is part of coming 2.2.0 version

Obtained from: OpenBSD
MFC after: 1 month

Test Plan

Redo one of the ports bugs and test

Poudriere testport output
https://reviews.freebsd.org/paste/edit/63/

$ portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Conflict "openssl-*" specified too broad. You should end it with a version number fragment (-[0-9]*).
0 fatal errors and 3 warnings found.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

brnrd retitled this revision from to security/libressl backport OPENSSL_NO_EGD update from OpenBSD.May 26 2015, 12:10 PM
brnrd updated this object.
brnrd edited the test plan for this revision. (Show Details)
brnrd added reviewers: vsevolod, koobs.
brnrd set the repository for this revision to rP FreeBSD ports repository.
brnrd updated this revision to Diff 5706.
koobs updated this object.May 27 2015, 5:00 AM
koobs edited edge metadata.May 27 2015, 5:02 AM
koobs requested changes to this revision.
  • Add QA results (poudriere and portlint) as attachments (or URL's)
  • Add proposed commit log (in expected format) to revision SUMMARY
This revision now requires changes to proceed.May 27 2015, 5:02 AM
brnrd updated this object.May 31 2015, 11:46 AM
brnrd edited edge metadata.
brnrd updated this object.May 31 2015, 11:55 AM
brnrd edited the test plan for this revision. (Show Details)
brnrd edited edge metadata.May 31 2015, 12:06 PM
brnrd updated this object.
brnrd edited the test plan for this revision. (Show Details)
brnrd updated this revision to Diff 5828.

Pet portlint, re-roll patches with makepatch

brnrd edited edge metadata.May 31 2015, 12:35 PM
brnrd updated this revision to Diff 5829.

Don't update timestamps!

koobs edited edge metadata.May 31 2015, 1:21 PM
koobs accepted this revision.

Approved. But this one (conveniently) needs maintainer approval, who is also your mentor :D

This revision is now accepted and ready to land.May 31 2015, 1:21 PM
brnrd edited edge metadata.May 31 2015, 1:36 PM
brnrd updated this revision to Diff 5830.

Revert to simplified MASTER_SITES

This revision now requires review to proceed.May 31 2015, 1:36 PM
vsevolod edited edge metadata.May 31 2015, 5:30 PM
vsevolod accepted this revision.

Please go ahead with committing this change.

This revision is now accepted and ready to land.May 31 2015, 5:30 PM
koobs added a comment.Jun 1 2015, 8:14 AM

Post-commit note:

MFC: isn't used for ports. Did you mean MFH: ?

If so, was this a security related commit? If not, it doesn't need an MFH:

Also to note for future commits, please include the "Differential Revision: <link>" to your review in the commit message. You can see an example in the commit template:

> Differential Revision:    https://reviews.freebsd.org/D### (*full* phabric URL needed).
koobs closed this revision.Jun 2 2015, 3:27 AM

Closing. Committed in rP388204